# Interface Memory

All Known Implementing Classes:
  `MemoryImpl`

public interface Memory

Version:
  $Revision: 674365 $

## Method Summary

Modifier and Type
Method
Description
`long`
`getFree()`
`long`
`getMax()`
`long`
`getTotal()`
`void`
`setFree(long value)`
`void`
`setMax(long value)`
`void`
`setTotal(long value)`

## Method Details

### getMax

long getMax()

### setMax

void setMax(long value)

### getFree

long getFree()

### setFree

void setFree(long value)

### getTotal

long getTotal()

### setTotal

void setTotal(long value)